<html>
<head>
<title>Ogre::PreApplyTextureAliasesScriptCompilerEvent Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html">PreApplyTextureAliasesScriptCompilerEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PreApplyTextureAliasesScriptCompilerEvent Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PreApplyTextureAliasesScriptCompilerEvent" --><!-- doxytag: inherits="Ogre::ScriptCompilerEvent" -->
<p><code>#include &lt;<a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PreApplyTextureAliasesScriptCompilerEvent:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent__inherit__graph.gif" border="0" usemap="#Ogre_1_1PreApplyTextureAliasesScriptCompilerEvent_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PreApplyTextureAliasesScriptCompilerEvent_inherit__map" id="Ogre_1_1PreApplyTextureAliasesScriptCompilerEvent_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ScriptCompilerEvent.html" title="This struct is a base class for events which can be thrown by the compilers and caught by subscribers..." alt="" coords="75,5,253,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#af8a79ba69d0bd18034a45efd19e6a43f">PreApplyTextureAliasesScriptCompilerEvent</a> (<a class="el" href="classOgre_1_1Material.html">Material</a> *material, <a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> *aliases)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Material.html">Material</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a7fe96a9aaef9359e8077bdb0c234db2f">mMaterial</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a298f1b128634bef5d5964726097278e8">mAliases</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">mType</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a403617d0cc5f8e8bffccca4012dd6fb1">eventType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00464">464</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af8a79ba69d0bd18034a45efd19e6a43f"></a><!-- doxytag: member="Ogre::PreApplyTextureAliasesScriptCompilerEvent::PreApplyTextureAliasesScriptCompilerEvent" ref="af8a79ba69d0bd18034a45efd19e6a43f" args="(Material *material, AliasTextureNamePairList *aliases)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#af8a79ba69d0bd18034a45efd19e6a43f">Ogre::PreApplyTextureAliasesScriptCompilerEvent::PreApplyTextureAliasesScriptCompilerEvent</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Material.html">Material</a> *&#160;</td>
          <td class="paramname"><em>material</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> *&#160;</td>
          <td class="paramname"><em>aliases</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00471">471</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a403617d0cc5f8e8bffccca4012dd6fb1"></a><!-- doxytag: member="Ogre::PreApplyTextureAliasesScriptCompilerEvent::eventType" ref="a403617d0cc5f8e8bffccca4012dd6fb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a403617d0cc5f8e8bffccca4012dd6fb1">Ogre::PreApplyTextureAliasesScriptCompilerEvent::eventType</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00469">469</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a298f1b128634bef5d5964726097278e8"></a><!-- doxytag: member="Ogre::PreApplyTextureAliasesScriptCompilerEvent::mAliases" ref="a298f1b128634bef5d5964726097278e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a>* <a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a298f1b128634bef5d5964726097278e8">Ogre::PreApplyTextureAliasesScriptCompilerEvent::mAliases</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00468">468</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7fe96a9aaef9359e8077bdb0c234db2f"></a><!-- doxytag: member="Ogre::PreApplyTextureAliasesScriptCompilerEvent::mMaterial" ref="a7fe96a9aaef9359e8077bdb0c234db2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Material.html">Material</a>* <a class="el" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html#a7fe96a9aaef9359e8077bdb0c234db2f">Ogre::PreApplyTextureAliasesScriptCompilerEvent::mMaterial</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00467">467</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae83d6b4f8c27207b09f2bae4e7c51ce6"></a><!-- doxytag: member="Ogre::PreApplyTextureAliasesScriptCompilerEvent::mType" ref="ae83d6b4f8c27207b09f2bae4e7c51ce6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">Ogre::ScriptCompilerEvent::mType</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00331">331</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
